## pbuilder 0.26

=== Makefile ===
INSTALL_DIRECTORY=install -d -m 0755 
INSTALL_FILE=install -m 0644
INSTALL_EXECUTABLE=install -m 0755

clean:
	rm -f *.bak *~ TAGS

TAGS:
	etags pbuilder-* pbuilder

install:
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/sbin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/bin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-createbuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-updatebuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder

=== debian/changelog ===
pbuilder (0.26) unstable; urgency=low

  * fix regexp for building smurf.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Mar 2002 18:02:30 +0900

pbuilder (0.25) unstable; urgency=low

  * "Fixing the personal side of the pbuilder", release
  * Build-Dependency version checking improved, should work slightly better
    when multiple versions are available (reported by jbouse@debian.org)
  * logic-error on DEBEMAIL handling fixed. When it was blank,
    it was set to "nobody@nowhere", but that shouldn't be necessary.
    (closes: #136628, #137411)
  * pbuilderrc: change the default config so that binary and source is built
  * ignore build-depends in package lines and only use those found in the
    source lines.
  * debian/TODO: updated.
  * pbuilder-satisfydepends: split out the dependency satisfaction
    code, so that it can be used genericly. Or replaced with other
    programs, such as sbuild. However, sbuild reads .dsc files, while
    pbuilder parses debian/control.
  * fixed regexp for multi-line build-*: field processing.
  * Add "D" scripts, for after chroot setup, and before extracting
    source packages inside the chroot, on build target.
    (closes: #136536)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 14 Mar 2002 20:49:02 +0900

pbuilder (0.24) unstable; urgency=low

  * hooks support is in place for build target now. Read pbuilder.1
    for details. Adding C00bash, which contains a line calling 
      #!/bin/bash
      bash < /dev/tty
    will allow running bash inside the chroot. (closes: #134757)    

 -- Junichi Uekawa <dancer@debian.org>  Sun, 24 Feb 2002 20:37:35 +0900

pbuilder (0.23) unstable; urgency=low

  * Cache is updated even when Build-Dep processing routine fails. 
    reported by Mark Brown (closes: #129053)
  * Fix update target to remove packages specified in REMOVEPACKAGES.
  * Support building as non-root user, and using fakeroot inside 
    the chroot. 
  * EXTRAPACKAGES takes effect within the build target.
  * handle ( <<version) version dependency format. Space should be 
    allowed there. 
  * /etc/mailname inside chroot is generated. (closes: #133773)
  * apply fixed description, which looks better, by joeyh, thanks.
    (closes: #134457)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 20 Feb 2002 04:26:21 +0900

pbuilder (0.22) unstable; urgency=low

  * "The version that seems to be able to successfully build most of 
    Debian archive"
  * pbuilder-buildpackage accepts case insensitive field name 
    for "Build-depends" to cope with some packages like bzip2. (closes: #133054)
  * pbuilder create/update will use cached packages in addition to
    "build". However, the packages fed to debootstrap are not cached.
  * Supports Build-Depends without spaces like freefem (closes: #133162)
  * Version requirement on debootstrap bumped up to the
    fixed version, 0.1.16.2.
    That package is installed at last.
  * Documentation updates
  * Messages improvement, for automatic operation
  * Adding check for empty-cache state.	

 -- Junichi Uekawa <dancer@debian.org>  Tue, 12 Feb 2002 01:03:53 +0900

pbuilder (0.21) unstable; urgency=low

  * Accept "Noninteractive" like "noninteractive" as value of DEBIAN_FRONTEND,
    for compatibility with other (broken?) software.
  * Changed the dpkg-buildpackage -S invocation inside pdebuild.
    It should be more friendly for dpkg-buildpackage and its intentions, and 
    mostly backward compatible behavior.
  * added build-time logging data to pbuilder-buildpackage.

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Feb 2002 19:17:51 +0900

pbuilder (0.20) unstable; urgency=low

  * "Really addressing some bugs"
  * --othermirror option fixed. Thanks go to kov@debian.org for 
    pointing that out (closes: #131726).
  * --aptconfdir option. It is now possible to specify 
    --aptconfdir /etc/apt to use the system configs. 
    (closes: #116115)
  * some minor fixes.
  * banner for version info is given in build target.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  6 Feb 2002 01:12:41 +0900

pbuilder (0.19) unstable; urgency=low

  * "I know that the debootstrap version in sid doesn't work. 
    You need to fix the mistakes in debootstrap." release
  * Improved "pbuilder update/create/build" temp file cleaning process,
    so that in most cases it will be cleaned. In some conditions, temp
    file will still remain, but really, there is not much atomicity in shell?
  * pbuilder.1 typo fixed.
  * --logfile option now seems to function properly, as expected.
  * ~/.pbuilderrc is checked for user configs. (closes: #131181)
  * more documentation, noting about dangers of mount --bind.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 31 Jan 2002 19:09:11 +0900

pbuilder (0.18) unstable; urgency=low

  * New version, "Trying to address some wishlists" 
  * Added usr/share/pbuilder/pbuilderrc for default configuration.
  * Apply $@ -> "$@" fix from Daniel Kobras.
  * Apply the patch from Daniel Kobras for specifying options to 
    dpkg-buildpacakge invocation in pbuilder-buildpacakge.
    It should be possible to build binary-only uploads etc.
    (closes: #129221)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 18 Jan 2002 12:58:15 +0900

pbuilder (0.17) unstable; urgency=low

  * new version, "Documentation updates and cosmetic fixes". 
  * pbuilder.1, pbuilderrc.5: update to document problem with file:/ URLs
    if specified as mirrorsite (pbuilder is about chroots)
  * debian/TODO: updated - notes on apt-move archives, and other things.
  * debian/control: updated the dependency requirement of
    debootstrap (>= 0.1.15.5) see bug #126458 for a consequence.
  * debian/README.Debian: updated the testsuite info, and some descriptions
    are rewritten.
  * README: updated.
  * pbuilder-modules: no longer includes "deb-src" lines in the apt config.
    Source is not required at all by pbuilder. Some message cleanup.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  7 Jan 2002 09:29:42 +0900



=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.6

Package: pbuilder
Architecture: all
Depends: debootstrap (>= 0.1.16.2), wget, gcc
Recommends: fakeroot, sudo
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. It is an ideal system to use to check that a package's
 build-dependencies are correct, and to be sure that unnecessary and
 wrong build dependencies will not exist in the resulting package.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/build-package.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman pbuilder.1 pbuilderrc.5 pdebuild.1
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.107

=== Makefile ===
INSTALL_DIRECTORY=install -d -m 0755 
INSTALL_FILE=install -m 0644
INSTALL_EXECUTABLE=install -m 0755


#
# To add new script, add it to here, so that it will be tested. And then add a rule to install: target.
#
SHELLCODES=pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends \
	pbuilder-updatebuildenv \
	pbuilder-user-mode-linux \
	pbuilder \
	pdebuild \
	pdebuild-user-mode-linux \
	pdebuild-internal

check:
	set -e;
	for A in $(SHELLCODES); do \
		bash -n $$A; \
		echo $$A; \
	done

full-check: 
	set -e; \
	cd testsuite; \
	./run-test.sh 

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2

TAGS:
	etags pbuilder-* pbuilder

install:
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/sbin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/bin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-createbuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-updatebuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/etc/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_EXECUTABLE) examples/B90linda $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples

	# install workaround for libc6 -- 2004-03-13
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/libc6workaround
	$(INSTALL_EXECUTABLE) examples/E50-libc2.3.2.ds1-11-workaround $(DESTDIR)/usr/share/doc/pbuilder/examples/libc6workaround

	cd pbuildd; make install DESTDIR=$(DESTDIR)
	cd Documentation; make install DESTDIR=$(DESTDIR)

=== debian/changelog ===
pbuilder (0.107) unstable; urgency=low

  * Document that pdebuild accepts pbuilder options as pdebuild 
    options but ignores them, in the manual page. (Closes: #255005).
  * Feature request, '--uml-login-nocow' : "pbuilder-uml: How about a &quot;muckwith&quot; option, login
    without cowdevice", from Paul Hampson (Closes: #251482).
  * Feature: Do not hardcodes rootstrap image size argument",
    thanks to Mike Markley (Closes: #252800).
  * UML: Fix error message when --buildresult specified wrong directory 

 -- Junichi Uekawa <dancer@debian.org>  Sat, 19 Jun 2004 11:27:10 +0900

pbuilder (0.106) unstable; urgency=low

  * Patch from Matt Kraai to allow apt cache to be saved
    even when pbuilder update fails. (closes: #252777, #252793)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 17 Jun 2004 09:22:12 +0900

pbuilder (0.105) unstable; urgency=low

  * add readlink dependency; coreutils now has it, not debianutils
    (closes: #250160)

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 Jun 2004 22:23:39 +0900

pbuilder (0.104) unstable; urgency=low

  * Gah, re-upload. Broken upload.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 20 Apr 2004 08:35:13 +0900

pbuilder (0.103) unstable; urgency=low

  * Bug fix: "binfmt-support prevents unmounting of /proc", thanks to
    Michel Daenzer (Closes: #244698).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 20 Apr 2004 08:05:23 +0900

pbuilder (0.102) unstable; urgency=low

  * Implement --variant=buildd support, thanks for Daniel Schepler
    for the work on debootstrap side.
    Note that this change does not affect user-mode-linux, since 
    user-mode-linux version uses rootstrap
    (closes: #154528)
  - require debootstrap version 0.2.29 or later
    current unstable/sarge doesn't install, see #244227 for a debootstrap 
    workaround.
  * remove references to non-free and contrib from default apt.conf entry.
    If anyone has problems with this set-up, shout. But it's already configurable.
    (Closes: #242754).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 Apr 2004 06:49:42 +0900

pbuilder (0.101) unstable; urgency=low

  * Update documentation, minor fix in documentation.
  * Add libc6 upgrade workaround script. 
    add 
    "--hookdir /usr/share/doc/pbuilder/examples/libc6workaround"
    for update command-line, until libc6 bug230008 is fixed.
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Mar 2004 12:00:59 +0900

pbuilder (0.100) unstable; urgency=low

  * Bug fix: "manual page typos", thanks to Matt Kraai (Closes: #233179).
  * Bug fix: "Need to distinguish the chroot", thanks to Turbo Fredriksson
    added an example hook script to implement that.
    (Closes: #234862).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Feb 2004 09:36:58 +0900

pbuilder (0.99) unstable; urgency=low

  * Documentation update: 
   - note apt-proxy is useful for caching the apt archives.
   - pbuilder create failure due to debootstrap needs to be fixed in debootstrap script side.
  * Fix B91dpkg-i to fix typo in script to get names of packages properly.
  * Change HTML CSS
  * debian/copyright: fix to get full copyright notice.
  * Add support for DEBBUILDOPTS for pdebuild, per request from Jamie Wilkinson (Closes: #228317).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 19 Jan 2004 21:15:16 +0900

pbuilder (0.98) unstable; urgency=low

  * use dpkg-buildpackage in pdebuild-internal rather than debuild, and do not try to 
    gpg-sign inside the chroot, which will always fail.
  * Document --use-pdebuild-internal in the documentation.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 Dec 2003 08:48:49 +0900

pbuilder (0.97) unstable; urgency=low

  * update installtest script
  * allow multiple  --bindmounts option to be specified for multiple
    bind-mount operation.
  * Support pdebuild which does not run debian/rules clean outside of 
    chroot. Set 'USE_PDEBUILD_INTERNAL=yes' to use it, or 
    --use-pdebuild-internal. It will not be the default yet, because 
    it changes the manner of operation drastically.
  - "pdebuild builds source package outside chroot" by
    Matt Kraai (Closes: #211230).
  - "pbuilder: don't run debian/rules clean outside chroot" by
    thanks to Brian May (Closes: #215192).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 23 Dec 2003 22:57:47 +0900

pbuilder (0.96) unstable; urgency=low

  * Update documentation 
    - Using debconf inside pbuilder.
    - Note in FAQ that /dev/null error comes from 'nodev' mount option.
      (closes: #223868)
    - Note that execute_installtest.sh can be used for light-weight 
      mass-install testing.
  * pbuilder execute: now passes on command-line arguments to the script.
  * pbuilder-user-mode-linux execute: ditto.
  * examples/execute_installtest.sh: Tries to 'apt-get install' a package 
    and sees if it does install.
  * examples/execute_paramtest.sh: Just dumps the parameter.
  * pbuilder --debug option added, to do some kind of debugging when
    update and create. (closes: #224039)
  * Do not conflict with older version of bash, and try to work with it.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 18 Dec 2003 08:16:09 +0900

pbuilder (0.95) unstable; urgency=low

  * Document fakechroot use
  * Conflict with old bash that fails on unset. (closes: #221805)
  * Fixed typo in debuild-pbuilder.1 leading to man
    warning, thanks to Roland Stigge (Closes: #223004).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 11 Dec 2003 23:24:58 +0900

pbuilder (0.94) unstable; urgency=low

  * pdebuild-user-mode-linux: support --configfile as pdebuild does.
  * Bug fix: "pbuilder: Trying to unmount dev/pts when not mounted",
    thanks to Chris Halls (Closes: #219941).
    Reordered mount order so that /dev/pts and /dev mounts can be 
    specified at the same time. It might not be the real problem, but
    this seems like one big problem, at least.
  * Bug fix: "pbuilder: Error message: W: execute priv not set on file


=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl, xsltproc
Standards-Version: 3.6.1

Package: pbuilder
Architecture: all
Depends: debootstrap (>= 0.2.29), wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
Recommends: fakeroot, sudo, devscripts
Suggests: pbuilder-uml
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

Package: pbuilder-uml
Architecture: i386
Depends: rootstrap (>= 0.3.9-1), user-mode-linux (>= 2.4.20-3um-1), pbuilder (= ${Source-Version})
Description: user-mode-linux version of pbuilder
 pbuilder-uml uses a User-mode-linux system, and builds Debian packages
 inside the UML image. It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 Requires user-mode-linux to function correctly
 .
 "pbuilder-user-mode-linux create" uses rootstrap to create UML image
 .
 "pbuilder-user-mode-linux update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary in the UML

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 configure: configure-stamp
 configure-stamp:
@@ -15,7 +16,7 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: configure-stamp build-stamp 
 build-stamp:
 	dh_testdir
 
@@ -38,27 +39,41 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/build-package.
+	$(MAKE) check
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
-
+	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
+	dh_testdir -i
+	dh_testroot -i
+	dh_installdocs -i
+	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
+	dh_installchangelogs -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installman pbuilder.1 pbuilderrc.5 pdebuild.1
-	dh_installchangelogs
-	dh_link
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+ifeq (${ARCH},i386)
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdocs -a
+	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
+	dh_installchangelogs -a
+	dh_link -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_gencontrol  -a
+	dh_md5sums  -a
+	dh_builddeb -a
+endif
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.121

=== debian/changelog ===
pbuilder (0.121) unstable; urgency=low

  * Modify documentation to work with the new LDP stylesheet 0.0.20040321-0.1.

 -- Junichi Uekawa <dancer@debian.org>  Tue,  4 Jan 2005 12:36:25 +0900

pbuilder (0.120) unstable; urgency=low

  * pdebuild/pdebuild-user-mode-linux typo fix in dpkg-checkbuilddeps. (closes: #287041)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 29 Dec 2004 20:13:30 +0900

pbuilder (0.119) unstable; urgency=low

  * pbuilderrc.5:Fix manual page formatting (closes: #279700)
  * Add example script from Jamin W Collins for short-cut way of specifying distribution. (closes: #255165)
  * Warn if build-depends is not satisfied when invoking dpkg-buildpackage -S (closes: #266349)
  * Potential pdebuild debbuildopts fix (closes: #281085)
      pdebuild --debug --debbuildopts '"-i\+\+pristine-trees|,,*|\{arch\}|\.arch-ids"'
    seems to work now.
  * "Documentation updates & fixes", thanks to era
    eriksson (Closes: #283135).
  * default distribution in pbuilder create is now 'sid', not 'woody'.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Dec 2004 10:12:27 +0900

pbuilder (0.118) unstable; urgency=low

  * --debbuildopts behavior change for pdebuild:
    It is now: pdebuild --debbuildopts "xxx" 
    It was: pdebuild --debbuildopts "xxx" -- --debbuildopts "xxx" (for internal pdebuild mode)
    pdebuild --debbuildopts "xxx" (for non-internal pdebuild mode)
  (closes: #278999)
  * pbuilder: --save-after-login, --save-after-exec options added.
    NOTE: pbuilder-UML already has --uml-login-nocow option, which is 
    equivalent to this new feature.
    (closes: #275970, #275016)
  * buildresult dir creation is done after pkgname-logfile creation.
  Thanks:   Mike Hommey <mh@glandium.org>
    (closes: #273882)
  * add notes on sudo and BUILDRESULTDUID on the manual
    (closes: #271211)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Oct 2004 20:01:58 +0900

pbuilder (0.117) unstable; urgency=HIGH

  * Remove pbuilder-user-mode-linux package for the time being, until 
    such time that user-mode-linux package is properly restored into Debian.
    (closes: #276992)
  - this is a task specially done for sarge release; to create a package 
    which does create pbuilder-uml, copy the files and rebuild:
    debian/rules-uml -> debian/rules
    debian/control-uml -> debian/control
  
 -- Junichi Uekawa <dancer@debian.org>  Wed, 20 Oct 2004 08:15:40 +0900

pbuilder (0.116) unstable; urgency=low

  * Maintenance update on pbuilder
  * Fix bugs reported by madduck
  * UML: versioned depends on user-mode-linux is removed, now depends on user-mode-linux so that packages with 'Provides:' can be used (closes: #275544)
  * 'pbuilder debuild' is implemented  (closes: #275110)
  * update docs on PS1 and 'debian_chroot' environmental variable introduced in newer bash package (closes: #275466) 
  * Add notes on what cannot be bind-mounted (closes: #275113)
  * hook to pbuilder update (closes: #275016, #272353)

 -- Junichi Uekawa <dancer@debian.org>  Sat,  9 Oct 2004 09:22:30 +0900

pbuilder (0.115) unstable; urgency=low

  * remove non-free and non-us from contrib. (closes: #271329)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 13 Sep 2004 07:41:30 +0900

pbuilder (0.114) unstable; urgency=low

  * pbuildd.sh: Apply patches from Roland Stigge (closes: #263987, #264182, #264182)

 -- Junichi Uekawa <dancer@debian.org>  Sun,  8 Aug 2004 08:36:57 +0900

pbuilder (0.113) unstable; urgency=low

  * pdebuild UML variable handling fix; should treat more variables
    more properly. May need more fixes later. (closes: #250526)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 30 Jul 2004 08:11:44 +0900

pbuilder (0.112) unstable; urgency=low

  * Added dumpconfig command-line operation for debugging.
    It will dump what pbuilder has picked up from the configuration.
    It is now possible to do:
    pbuilder-user-mode-linux dumpconfig --uml-debugmode

 -- Junichi Uekawa <dancer@debian.org>  Sat, 24 Jul 2004 09:37:12 +0900

pbuilder (0.111) unstable; urgency=low

  * Fix pbuilder-uml default behavior to not to have cross-device link warnings
    set system default to 'APTCACHEHARDLINK=no'
    (closes: #259291)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Jul 2004 01:04:03 +0900

pbuilder (0.110) unstable; urgency=low

  * shutdown UML cleanly on exit, thanks go to Joey Hess for noticing this
    (closes: #259325)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 16 Jul 2004 07:02:07 +0900

pbuilder (0.109) unstable; urgency=low

  * Improve D10tmp example script so that it uses mkdir -p instead of mkdir.
  * Update SGML document to show where that script exists.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 14 Jul 2004 06:31:02 +0900

pbuilder (0.108) unstable; urgency=low

  * move SUTOUSER outside of /bin/bash invocation. Should help quoting of DEBEMAIL.
    (Closes: #258219).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  9 Jul 2004 09:00:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -60,20 +60,7 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-ifeq (${ARCH},i386)
-	dh_testdir -a
-	dh_testroot -a
-	dh_installdocs -a
-	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
-	dh_installchangelogs -a
-	dh_link -a
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_gencontrol  -a
-	dh_md5sums  -a
-	dh_builddeb -a
-endif
+	echo NOTE: pbuilder-uml is not built see changelog for version 0.117
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.123

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 SHELLCODES=pbuilder-buildpackage \
 	pbuilder-buildpackage-funcs \
 	pbuilder-checkparams \
+	pbuilder-uml-checkparams \
 	pbuilder-createbuildenv \
 	pbuilder-loadconfig \
 	pbuilder-modules \
@@ -58,6 +59,7 @@
 	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
 	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
@@ -78,6 +80,7 @@
 	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 
 	# install workaround for libc6 -- 2004-03-13
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/libc6workaround

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc

all: pbuilder-doc.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl
	cp $^ ~/public_html/netfort/software/pbuilder-doc/


install: pbuilder-doc.html
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.html $(DESTDIR)/usr/share/doc/pbuilder/

=== debian/changelog ===
pbuilder (0.123) unstable; urgency=low

  * save aptcache on pbuilder login/exec. (closes: #271600)
  * support --aptcache option. (closes: #295766)
  * clean build directory for pbuilder-uml. (closes: #297100)
  * document save-after-login/exec flags in pbuilder --help output. 
    (closes: #296672)

 -- Junichi Uekawa <dancer@debian.org>  Fri,  4 Mar 2005 13:34:51 +0900

pbuilder (0.122) unstable; urgency=low

  * set umask 0022 (closes: #276589)
  * pdebuild will create resulting files as user, not as root (closes: #286397)
  * emphasise in manpage that --debbuildopts -B is not recommended, and use --binary-arch (closes: #286602)
  * Documentation typo update (closes: #293882)

  * Minor changes in default config file:
  - mention sarge rather than woody (closes: #289170)
  - Change default mirror from www.jp.debian.org to ftp.jp.debian.org(closes: #295032)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 13 Feb 2005 16:13:25 +0900

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc
Standards-Version: 3.6.1

Package: pbuilder
Architecture: all
Depends: debootstrap (>= 0.2.29), wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
Recommends: fakeroot, sudo, devscripts
Suggests: pbuilder-uml
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

## pbuilder 0.128

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	pbuilder-user-mode-linux \
 	pbuilder \
 	pdebuild \
+	pdebuild-checkparams \
 	pdebuild-user-mode-linux \
 	pdebuild-internal
 
@@ -59,7 +60,9 @@
 	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pdebuild-checkparams $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pdebuild-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
 	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
@@ -74,6 +77,7 @@
 	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
 	$(INSTALL_EXECUTABLE) examples/B90linda $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples

=== debian/changelog ===
pbuilder (0.128) unstable; urgency=low

  * Add example framework to test package inside chroot
  - B92test-pkg
  - add debian/pbuilder-test/ directory to test pbuilder itself.
  * Documentation/pbuilder-doc.xml: 
  - add reference on directory structure on pbuilder.
  - Add note on pbuilder-test
  * Support '--distribution experimental'. 
    "pbuilder: Please add support for experimental", thanks to
    Emanuele Rocca (Closes: #308813).
    and also support working with new apt-get by using --force-yes.
    (closes: 316281).
  * Feature enhancement: "pbuilder: Clean apt cache ", thanks to Daniel Schepler
    implement --autocleanaptcache option.
    (Closes: #185227).
  * pdebuild now checks for unsupported command-line options. 
    Bug fix: "pbuilder: pdebuild does not warn about --basetgz or
    --distribution", thanks to Matt Kraai (Closes: #305944).
  * man pages fixup: add \% for non-hyphenation (closes: #310656)
  * Fix find options -xdev location. (closes: #312913)
  * Bug fix: "pbuilder: Please document proper format of OTHERMIRROR",
    thanks to Roberto C. Sanchez (Closes: #312153).
  * Bug fix: "pbuilder: Support for preserving environment PATH", thanks
    to Brian Nelson (Closes: #306448).
  * work around debootstrap 3.0.0 bug which fails to build sid chroot
    with --variant=buildd, by not passing --variant=buildd,
    see 314858

 -- Junichi Uekawa <dancer@debian.org>  Sat,  2 Jul 2005 13:20:23 +0900

pbuilder (0.127) unstable; urgency=low

  * pdebuild.1, pdebuild-user-mode-linux.1: --debsign-k requires key-id.
  * save apt cache after running B hook in build target; so that 
    we don't keep redownloading lintian/linda . (closes: #296999)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 22 Apr 2005 07:38:16 +0900

pbuilder (0.126) unstable; urgency=low

  * Documentation/pbuilder-doc.xml: 
    Add documentation on why source.changes file is generated.
    Add documentation on what options are available for sponsoring.
  * Add --debsign-k option to pdebuild to allow specifying the keyid 
    for signing the package; for sponsoring. (closes: #304849)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 16 Apr 2005 13:39:04 +0900

pbuilder (0.125) unstable; urgency=low

  * Bug fix: "pbuilder: example/B91dpkg-i calls dpkg --purge with
    pathnames in front of package names", thanks to Maurizio Lemmo
    (Tannoiser) (Closes: #304009).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 11 Apr 2005 15:16:27 +0900

pbuilder (0.124) unstable; urgency=low

  * Update confusing documentation on --debemail option. (closes: #302855)

 -- Junichi Uekawa <dancer@debian.org>  Wed,  6 Apr 2005 08:09:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
 
+	rm -rf debian/pbuilder-uml/
 	dh_clean
 
 install: build

## pbuilder 0.145ubuntu4

=== debian/changelog ===
pbuilder (0.145ubuntu4) dapper; urgency=low

  * pbuilder-modules: deleted extra space in a variable assignment expression 
    which prevents pbuilder to create a dapper chroot. 
    (Closes: Malone #38456)

 -- Loic Pefferkorn <loic@ubuntu.com>  Thu,  6 Apr 2006 17:44:04 +0000

pbuilder (0.145ubuntu3) dapper; urgency=low

  * add support for multiple components (thanks to Sami Haahtinen)
    (ubuntu: #29956) 
  * removed pbuilder-uml from suggests (not available in ubuntu)
    (ubuntu: #20971)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Apr 2006 11:35:42 +0200

pbuilder (0.145ubuntu2) dapper; urgency=low

  * pbuilderrc: make the config work out-of-the-box on dapper (#19659)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  3 Apr 2006 16:36:12 +0200

pbuilder (0.145ubuntu1) dapper; urgency=low

  * resync with debian. Did cleanups to debian/changelog, and removed
    weird cruft from the previous merge

 -- Reinhard Tartler <siretart@ubuntu.com>  Sat, 14 Jan 2006 12:08:04 +0100

pbuilder (0.145) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder: url to debian experimental's apt archive seems to
    have changed recently", thanks to Johan Boule (Closes: #347296).
  * debian/TODO, Documentation/pbuilder-doc.xml: update

 -- Junichi Uekawa <dancer@debian.org>  Fri, 13 Jan 2006 20:54:46 +0900

pbuilder (0.144) unstable; urgency=low

  * Bug fix: "pbuilder --help shows incorrect syntax for debootstrap
    option", thanks to Bryan Donlan (Closes: #345870).
  * Bug fix: "pbuilder: creates files with weird owner/group", thanks to
    Lars Wirzenius (Closes: #344958).

 -- Junichi Uekawa <dancer@debian.org>  Sat,  7 Jan 2006 14:08:55 +0900

pbuilder (0.143) unstable; urgency=low

  [Junichi Uekawa]
  * remove libc6 workaround from examples directory, since the problem is
    already fixed, and install workaround for initscripts 2.86.ds1-7.
    Also add a workaround for a running inetd after upgrade.  Use
    --hookdir /usr/share/doc/pbuilder/examples/344089 for the time being.
  * use readlink -f instead of readlink -e, since readlink -e is not
    supported on Debian 3.1 coreutils.  thanks to Adrian
    'Dagurashibanipal' von Bidder (Closes: #344119).
  * Add scripts contributed from q-funk. (Closes: #343894).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Dec 2005 22:50:00 +0900

pbuilder (0.142) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "readlink -f/-e", thanks to Brian Nelson (Closes: #342117).
    Use readlink -e instead of readlink -f, readlink -f does not fail if
    the file symlink points to does not exist.
  * Document that ccache setting requires target directory to be writable
    by user within chroot. (Closes: #342665).
  * Document HOME=/tmp/buildd inside chroot.
  * set HOME=$(pwd)/../ in pdebuid-internal to match pdebuild.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 19 Dec 2005 23:35:08 +0900

pbuilder (0.141) unstable; urgency=low

  * pbuilder now uses fakeroot for 'pbuilder build' per default (Closes: #337582).
  - fix EXTRAPACKAGES handling in pbuilder-buildpackage-funcs for installing fakeroot.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  5 Dec 2005 21:22:59 +0900

pbuilder (0.140) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder: PATH not preserved when either BUILDUSERID or
    BUILDUSERNAME isn't set", thanks to Mike Hommey (Closes: #341453).
  * pbuilder-doc.xml: Document ccache support in FAQ (Closes: #178350).
  * Bug fix: "/usr/share/doc/pbuilder/examples/B90linda missing
    --force-yes option", thanks to qfunk (Closes: #340715).
    Note: --allow-unauthenticated is probably a better option here, but 
    apt-get in sarge does not support it, we will revisit it after etch.
  * debconf compatibility level 4
  * Bug fix: "pbuilder-buildpackage-funcs check for createbuilduser for
    SUTOUSER is bogus", thanks to Brian Nelson (Closes: #338976).
  * Bug fix: "--no-targz option creates tarball in pbuilder create",
    thanks to Junichi Uekawa (Closes: #341916).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  4 Dec 2005 15:21:06 +0900

pbuilder (0.139ubuntu1) dapper; urgency=low

  * Resynchronise with Debian, merged by hand, the MoM result
    looked a bit odd.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2005 12:06:01 +0100

pbuilder (0.139) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder: pdebuild dies if /etc/shadow doesn't exist",
    thanks to Brian Nelson (Closes: #338976).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 17 Nov 2005 07:35:42 +0900

pbuilder (0.138) unstable; urgency=low

  * Bug fix: "pbuilder: please add x11-common to policy-rc.d", thanks to
    patch from Aurelien Jarno (Closes: #337541).
    Fixes interaction with xvfb.
    Please recreate base.tgz for this to take effect.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 11 Nov 2005 08:46:38 +0900

pbuilder (0.137ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  9 Nov 2005 10:53:40 +0100

pbuilder (0.137) unstable; urgency=low

  [Junichi Uekawa]
  * pbuilder-doc.xml
  - Document amd64-i386 usage in FAQ. (closes: #332737)
  - typo fix
  - document /etc/mtab inside chroot is a symbollic link.
  
  * update TODO file.
  
  * allow debootstrap or cdebootstrap as dependency.
  - check for debootstrap installation, and output meaningful error.
    This is a follow-up to (#323843, #324648)
    rationale: debootstrap has some more features and cdebootstrap, sometimes;
    and cdebootstrap is not ported to all architectures.
  
  [Matt Kraai]
  * If /proc is mounted, create a symbolic link from /etc/mtab to
    /proc/mounts.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Nov 2005 10:06:58 +0900

pbuilder (0.136ubuntu1) dapper; urgency=low

  * Default to debootstrap rather than cdebootstrap; cdebootstrap doesn't
    work with Ubuntu yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 30 Oct 2005 04:43:41 +0000

pbuilder (0.136) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
 Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: pbuilder
 Architecture: all
-Depends: debootstrap (>= 0.2.29), wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
+Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
 Recommends: fakeroot, sudo, devscripts
-Suggests: pbuilder-uml
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
  chroot.

## pbuilder 0.145ubuntu4.1

=== Makefile ===
--- 
+++ 
@@ -82,13 +82,17 @@
 	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/B91debc $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 
-	# install workaround for libc6 -- 2004-03-13
-	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/libc6workaround
-	$(INSTALL_EXECUTABLE) examples/E50-libc2.3.2.ds1-11-workaround $(DESTDIR)/usr/share/doc/pbuilder/examples/libc6workaround
+	# install workaround for initscripts -- 2005-12-21
+	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/344089
+	$(INSTALL_EXECUTABLE) examples/E50-initscripts-2.86.ds1-7.workaround.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/344089
+
+
 
 	cd pbuildd; make install DESTDIR=$(DESTDIR)
 	cd Documentation; make install DESTDIR=$(DESTDIR)

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc

all: pbuilder-doc.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

install: pbuilder-doc.html
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.html $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl
	cp $^ ~/public_html/netfort/software/pbuilder-doc/


.PHONY: preview release-netfort release

=== debian/changelog ===
pbuilder (0.145ubuntu4.1) dapper-updates; urgency=low

  * Changing the order of cdebootstrap | debootstrap dependencies, 
    (Closes: Malone #40613 + duplicates)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Jun 2006 12:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: pbuilder
 Architecture: all
-Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
+Depends: debootstrap | cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
 Recommends: fakeroot, sudo, devscripts
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
